freebsd-ports/security/ossec-hids-server/files/patch-src__InstallAgent.sh
Brad Davis 4cbf9a39b2 - Update to 2.8
- Fix permissions preventing server and local from starting correctly

Reviewed by:	swills@
2014-07-14 02:46:37 +00:00

19 lines
711 B
Bash

--- ./src/InstallAgent.sh.orig 2014-07-13 15:25:05.161395378 -0600
+++ ./src/InstallAgent.sh 2014-07-13 15:25:35.972393742 -0600
@@ -37,11 +37,11 @@
# Creating groups/users
if [ "$UNAME" = "FreeBSD" -o "$UNAME" = "DragonFly" ]; then
- grep "^${USER}" /etc/passwd > /dev/null 2>&1
- if [ ! $? = 0 ]; then
- /usr/sbin/pw groupadd ${GROUP}
- /usr/sbin/pw useradd ${USER} -d ${DIR} -s /sbin/nologin -g ${GROUP}
- fi
+ #grep "^${USER}" /etc/passwd > /dev/null 2>&1
+ #if [ ! $? = 0 ]; then
+ #/usr/sbin/pw groupadd ${GROUP}
+ #/usr/sbin/pw useradd ${USER} -d ${DIR} -s /sbin/nologin -g ${GROUP}
+ #fi
elif [ "$UNAME" = "SunOS" ]; then
grep "^${USER}" /etc/passwd > /dev/null 2>&1